OffersService_GetResults
const url = 'https://dictionary.example.invalid/api/json/hotels/propertyId/getResults?propertyId=DEMO_VALUE¤cy=DEMO_VALUE&maxGuests=1&guestsChildrens=1&dateBegin=DEMO_VALUE&dateEnd=DEMO_VALUE&distributionType=DEMO_VALUE&distributionPlatform=DEMO_VALUE&distributionCustomerType=DEMO_VALUE&offset=1&count=1&sortings=DEMO_VALUE&cheap=1&fast=1&filters.bbox.ne.lat=1&filters.bbox.ne.lng=1&filters.bbox.sw.lat=1&filters.bbox.sw.lng=1&filters.maxGuests=1&filters.guestsChildrens=1&filters.relevance=DEMO_VALUE&filters.dateBegin=DEMO_VALUE&filters.dateEnd=DEMO_VALUE&filters.currencyId=DEMO_VALUE&filters.isFavorites=true&filters.useBonuses=1&filters.distributionType=DEMO_VALUE&filters.distributionPlatform=DEMO_VALUE&filters.distributionCustomerType=DEMO_VALUE&filters.price=DEMO_VALUE&filters.pets=true&filters.isSuperguest=true&filters.bookingNow=1&filters.hasDiscount=1&filters.superguestFeatures=1&filters.fireplace=1&filters.christmasTree=1&filters.isApartment=1&filters.isHouse=1&filters.isRoom=1&filters.isHotel=1&filters.isAparthotel=1&filters.isMini=1&filters.isGuesthouse=1&filters.isGlRec=1&filters.isBed=1&filters.separateBedrooms=1&filters.isStudio=1&filters.distanceToSea=1&filters.countAllBeds=1&filters.countDoubleBeds=1&filters.smoking=1&filters.party=1&filters.freeBabies=1&filters.withoutDeposit=1&filters.wifi=1&filters.condition=1&filters.kitchen=1&filters.refrigerator=1&filters.balcony=1&filters.babyBed=1&filters.washmachine=1&filters.tv=1&filters.kettle=1&filters.crockery=1&filters.microwave=1&filters.oven=1&filters.stove=1&filters.towels=1&filters.iron=1&filters.hairdryer=1&filters.jacuzzi=1&filters.sauna=1&filters.dishwasher=1&filters.multicooker=1&filters.terrace=1&filters.wheater=1&filters.parking=1&filters.arbor=1&filters.barbecue=1&filters.pool=1&filters.playground=1&filters.lastFloor=1&filters.notLastFloor=1&filters.notFirstFloor=1&filters.notGroundFloor=1&filters.viewSeas=1&filters.viewMountains=1&filters.viewRiverLake=1&filters.viewCity=1&filters.hasBreakfast=1&filters.hasHalfBoard=1&filters.hasFullBoard=1&filters.hasAllInclusive=1&filters.ownBathroom=1&filters.ownToilet=1&filters.shower=1&filters.lift=1&filters.isDis=1&filters.faster=1&filters.superhost=1&filters.transfer=1&filters.hasReview=1&filters.checkInEarly=1&filters.checkOutLate=1&filters.fullPrecost=1&filters.isSelfIn=1&filters.documents=1&filters.withoutIntermediaries=1&filters.isolation=1&filters.hasVideo=1&filters.propertyIds=DEMO_VALUE&filters.stars=1&filters.metro=1&filters.ropewayDistance=1&filters.placeId=DEMO_VALUE&filters.area=1&filters.floor=1&filters.reviewScore=1&filters.pricePer=1&filters.locationId=DEMO_VALUE&filters.locationType=DEMO_VALUE';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://dictionary.example.invalid/api/json/hotels/propertyId/getResults?propertyId=DEMO_VALUE¤cy=DEMO_VALUE&maxGuests=1&guestsChildrens=1&dateBegin=DEMO_VALUE&dateEnd=DEMO_VALUE&distributionType=DEMO_VALUE&distributionPlatform=DEMO_VALUE&distributionCustomerType=DEMO_VALUE&offset=1&count=1&sortings=DEMO_VALUE&cheap=1&fast=1&filters.bbox.ne.lat=1&filters.bbox.ne.lng=1&filters.bbox.sw.lat=1&filters.bbox.sw.lng=1&filters.maxGuests=1&filters.guestsChildrens=1&filters.relevance=DEMO_VALUE&filters.dateBegin=DEMO_VALUE&filters.dateEnd=DEMO_VALUE&filters.currencyId=DEMO_VALUE&filters.isFavorites=true&filters.useBonuses=1&filters.distributionType=DEMO_VALUE&filters.distributionPlatform=DEMO_VALUE&filters.distributionCustomerType=DEMO_VALUE&filters.price=DEMO_VALUE&filters.pets=true&filters.isSuperguest=true&filters.bookingNow=1&filters.hasDiscount=1&filters.superguestFeatures=1&filters.fireplace=1&filters.christmasTree=1&filters.isApartment=1&filters.isHouse=1&filters.isRoom=1&filters.isHotel=1&filters.isAparthotel=1&filters.isMini=1&filters.isGuesthouse=1&filters.isGlRec=1&filters.isBed=1&filters.separateBedrooms=1&filters.isStudio=1&filters.distanceToSea=1&filters.countAllBeds=1&filters.countDoubleBeds=1&filters.smoking=1&filters.party=1&filters.freeBabies=1&filters.withoutDeposit=1&filters.wifi=1&filters.condition=1&filters.kitchen=1&filters.refrigerator=1&filters.balcony=1&filters.babyBed=1&filters.washmachine=1&filters.tv=1&filters.kettle=1&filters.crockery=1&filters.microwave=1&filters.oven=1&filters.stove=1&filters.towels=1&filters.iron=1&filters.hairdryer=1&filters.jacuzzi=1&filters.sauna=1&filters.dishwasher=1&filters.multicooker=1&filters.terrace=1&filters.wheater=1&filters.parking=1&filters.arbor=1&filters.barbecue=1&filters.pool=1&filters.playground=1&filters.lastFloor=1&filters.notLastFloor=1&filters.notFirstFloor=1&filters.notGroundFloor=1&filters.viewSeas=1&filters.viewMountains=1&filters.viewRiverLake=1&filters.viewCity=1&filters.hasBreakfast=1&filters.hasHalfBoard=1&filters.hasFullBoard=1&filters.hasAllInclusive=1&filters.ownBathroom=1&filters.ownToilet=1&filters.shower=1&filters.lift=1&filters.isDis=1&filters.faster=1&filters.superhost=1&filters.transfer=1&filters.hasReview=1&filters.checkInEarly=1&filters.checkOutLate=1&filters.fullPrecost=1&filters.isSelfIn=1&filters.documents=1&filters.withoutIntermediaries=1&filters.isolation=1&filters.hasVideo=1&filters.propertyIds=DEMO_VALUE&filters.stars=1&filters.metro=1&filters.ropewayDistance=1&filters.placeId=DEMO_VALUE&filters.area=1&filters.floor=1&filters.reviewScore=1&filters.pricePer=1&filters.locationId=DEMO_VALUE&filters.locationType=DEMO_VALUE'GetResults retrieves all offers for a property by property-page search filters This is used for the Property Detail Page (PDP)
Parameters
Заголовок раздела «Parameters»Query Parameters
Заголовок раздела «Query Parameters»Property_id (string, required) - ID of the property/apartment
Example
DEMO_VALUECurrency (string, required) - Currency for price display
Example
DEMO_VALUEExample
1Example
[ 1]Example
DEMO_VALUEExample
DEMO_VALUEExample
DEMO_VALUEExample
DEMO_VALUEExample
DEMO_VALUEExample
1Example
1Example
DEMO_VALUEExample
1Example
1Example
1Example
1Example
1Example
1Example
1Example
[ 1]Example
DEMO_VALUEExample
DEMO_VALUEExample
DEMO_VALUEExample
DEMO_VALUEExample
trueExample
1Example
DEMO_VALUEExample
DEMO_VALUEExample
DEMO_VALUEExample
DEMO_VALUEExample
trueExample
trueExample
1Example
1Example
1Example
1Example
1Example
1Example
1Example
1Example
1Example
1Example
1Example
1Example
1Example
1Example
1Example
1Example
1Example
1Example
1Example
1Example
1Example
1Example
1Example
1Example
1Example
1Example
1Example
1Example
1Example
1Example
1Example
1Example
1Example
1Example
1Example
1Example
1Example
1Example
1Example
1Example
1Example
1Example
1Example
1Example
1Example
1Example
1Example
1Example
1Example
1Example
1Example
1Example
1Example
1Example
1Example
1Example
1Example
1Example
1Example
1Example
1Example
1Example
1Example
1Example
1Example
1Example
1Example
1Example
1Example
1Example
1Example
1Example
1Example
1Example
1Example
1Example
1Example
1Example
1Example
[ "DEMO_VALUE"]Example
[ 1]Example
[ 1]Example
[ 1]Example
[ "DEMO_VALUE"]Example
[ 1]Example
[ 1]Example
[ 1]Example
1Example
DEMO_VALUEExample
DEMO_VALUEResponses
Заголовок раздела «Responses»OK
GetPropertyOffersResponse - response with property offers
object
Offers - Array of offers for the property
Offer - Property offer with all details
object
Identifiers
Main parameters
Labels
Label - Tariff labels
object
Price - Array of prices
object
PricesConvertation - Price conversion information
object
LabelDetails - Label details
object
Links to objects
object
Price - Array of prices
object
PricesConvertation - Price conversion information
object
Price - Array of prices
object
PricesConvertation - Price conversion information
object
Price - Array of prices
object
PricesConvertation - Price conversion information
object
Meal - Meal information
object
MealType - Meal type information
object
CancellationPolicy - Cancellation policy
object
Price - Array of prices
object
PricesConvertation - Price conversion information
object
NoShowPolicy - No-show policy
object
Price - Array of prices
object
PricesConvertation - Price conversion information
object
PrePaymentPolicy - Prepayment policy
object
Price - Array of prices
object
PricesConvertation - Price conversion information
object
Cashback - Cashback information
object
Surcharge - Individual surcharge
object
Price - Array of prices
object
PricesConvertation - Price conversion information
object
SurchargesDetails - Surcharges details
object
Example
{ "offers": [ { "id": null, "roomId": null, "instantBooking": null, "labels": null, "prices": null, "meal": null, "cancellationPolicies": null, "noShowPolicy": null, "prePaymentPolicy": null, "cashback": null, "surcharges": null, "freeCancellationBefore": null, "isNonRefundable": null } ]}default
Заголовок раздела «default»Default error response
The Status type defines a logical error model that is suitable for different programming environments, including REST APIs and RPC APIs. It is used by gRPC. Each Status message contains three pieces of data: error code, error message, and error details. You can find out more about this error model and how to work with it in the API Design Guide.
object
The status code, which should be an enum value of [google.rpc.Code][google.rpc.Code].
A developer-facing error message, which should be in English. Any user-facing error message should be localized and sent in the [google.rpc.Status.details][google.rpc.Status.details] field, or localized by the client.
A list of messages that carry the error details. There is a common set of message types for APIs to use.
Contains an arbitrary serialized message along with a @type that describes the type of the serialized message.
object
The type of the serialized message.
Example
{ "code": 1, "message": "DEMO_VALUE", "details": [ { "@type": null } ]}